# Copyright (C) 2020 Ludvig Larsson aka Valmond

import os
import sys


def we_are_frozen():
    # All of the modules are built-in to the interpreter, e.g., by py2exe
    return hasattr(sys, "frozen")


def module_path():
    if we_are_frozen():
        return os.path.dirname(sys.executable)
    return os.path.dirname(__file__)


# to use with '/data/local' for example
def create_path(local_path):
    return os.path.join(module_path(), local_path)
